<?php
 class mod_paypal extends mod_basic { var $id = 2; var $name = "Paypal"; var $desc = 'Dieses Modul erlaubt die Zahlungsart "Paypal". Bestellungen dieses Typs erhalten den Status "warte auf Paypal Zahlung". Wird die Zahlung über Paypal erfolgreich abgewickelt, so ändert sich der Status der Bestellung entsprechend.'; var $lizenz = 1; public function settings_edit() { $this->controller->opt_val['wpshopgermany_paypal_mail'] = get_option('wpshopgermany_paypal_mail'); $this->controller->opt_val['wpshopgermany_paypal_sandbox'] = get_option('wpshopgermany_paypal_sandbox'); $content = '
				<tr>
					<th><label>'.__("PayPal E-Mail:", "mt_trans_domain").'</label></th> 
					<td><input type="text" class="regular-text" name="wpshopgermany_paypal_mail" value="'.$this->controller->opt_val['wpshopgermany_paypal_mail'].'" size="20"></td>
				</tr>
				<tr>
					<th><label>Sandboxmodus</label></th>
					<td><input type="checkbox" name="wpshopgermany_paypal_sandbox" value="1" '.(($this->controller->opt_val['wpshopgermany_paypal_sandbox'] == 1)?'checked="checked"':'').'/></td>
				</tr>
				<tr>
					<td colspan="2">
						<br/>
						<i>
							Zur Anbindung an den PayPal Service wird <a href="https://www.paypalobjects.com/de_DE/html/IntegrationCenter/ic_pps_home.html" target="_blank">PayPal Starter</a> genutzt. Fortführende Details finden Sie im <a href="https://www.paypalobjects.com/de_DE/pdf/PayPal-Starter-Integrationshandbuch.pdf" target="_blank">Paypal Starter Integrationshandbuch</a>.<br/>
							Im Integrationshandbuch erfahren Sie auch, wie Sie die <strong>Sandbox nutzen</strong>, um den Zahlungsverkehr zu testen.						
						</i>						
					</td>
				</tr>
			'; return $content; } public function settings_save() { update_option("wpshopgermany_paypal_mail", $_REQUEST['wpshopgermany_paypal_mail']); update_option("wpshopgermany_paypal_sandbox", $_REQUEST['wpshopgermany_paypal_sandbox']); } public function addPayment(&$arPayment, &$basket) { $arPayment[$this->id] = array( "id" => $this->id, "text_clear" => "Paypal", "text" => "Paypal" ); } public function pluginFEAction() { if ($_REQUEST['confirm'] == "pp") { $emailtext = ""; if(function_exists('get_magic_quotes_gpc')) { $get_magic_quotes_exits = true; } $req = 'cmd=_notify-validate'; foreach ($_POST as $key => $value) { if($get_magic_quotes_exists == true && get_magic_quotes_gpc() == 1) { $value = urlencode(stripslashes($value)); } else { $value = urlencode($value); } $req .= "&$key=$value"; } $header = ""; $header .= "POST /cgi-bin/webscr HTTP/1.0\r\n"; $header .= "Content-Type: application/x-www-form-urlencoded\r\n"; $header .= "Content-Length: " . strlen($req) . "\r\n\r\n"; if (get_option('wpshopgermany_paypal_sandbox') == 1) $fp = fsockopen ('www.sandbox.paypal.com', 80, $errno, $errstr, 30); else $fp = fsockopen ('www.paypal.com', 80, $errno, $errstr, 30); if (!$fp) { $emailtext = "HTTP Error\r\n"; } else { fputs ($fp, $header.$req); while (!feof($fp)) { $res = fgets ($fp, 1024); if (strcmp($res, "VERIFIED") == 0) { global $wp_rewrite; $wp_rewrite = new WP_Rewrite(); $_REQUEST['edit_id'] = $_REQUEST['custom']; $_REQUEST['status'] = 100; $_REQUEST['send_mail'] = 1; $this->controller->db->updateQuery($this->controller->tbl_or, array("transaction" => $_REQUEST['txn_id']), "`id` = '".q($_REQUEST['custom'])."'"); require_once(WP_PLUGIN_DIR."/wpshopgermany/controllers/OrderController.class.php"); $OC = new OrderController("Order", "setStatus", false, $this->controller->lizenz); $OC->init(); $OC->setStatusAction(false); $emailtext = "PayPal Zahlung erfolgt"; } else if (strcmp ($res, "INVALID") == 0) { $emailtext = "PayPal Zahlung fehlgeschlagen"; } } } } } public function getPayPalLink($order_id) { $basket_link = get_permalink(get_option('wpshopgermany_basketpage')); $order = $this->controller->db->fetchRow("SELECT * FROM `".$this->controller->tbl_or."` WHERE `id` = '".q($order_id)."'"); $op = $this->controller->db->fetchAssoc("
				SELECT 
					* 
				FROM 
					`".$this->controller->tbl_op."` AS OP 
						LEFT JOIN `".$this->controller->tbl_pr."` AS P ON (OP.p_id = P.id)
				WHERE
					OP.`o_id` = '".q($order_id)."'
			"); $items = ""; $i = 1; foreach ($op as $p) { $items .= '&item_name_'.$i.'='.rawurlencode($p['name']).'&'. 'amount_'.$i.'='.rawurlencode($p['preis']).'&'. 'quantity_'.$i.'='.rawurlencode($p['menge']).'&'. 'item_number_'.$i.'='.rawurlencode($p['p_id']).'&'. 'on0'.$i.'=Variante&'. 'os0'.$i.'='.$p['v_id']; $i ++; } if (get_option('wpshopgermany_paypal_sandbox') == 1) $url = "https://www.sandbox.paypal.com/cgi-bin/webscr"; else $url = "https://www.paypal.com/cgi-bin/webscr"; $strLink = $url.'?cmd=_cart&upload=1&'. 'business='.rawurlencode(get_option('wpshopgermany_paypal_mail')).'&'.$items.'&'. 'shipping_1='.rawurlencode($order['price_shipping']).'&'. 'return='.rawurlencode(preg_replace("/\/wp\-content(.*)/", "", WP_CONTENT_URL)).'&'. 'cancel_return='.rawurlencode(preg_replace("/\/wp\-content(.*)/", "", WP_CONTENT_URL)).'&'. 'notify_url='.rawurlencode($basket_link).'&'. 'currency_code='.rawurlencode(get_option('wpshopgermany_currency')).'&'. 'lc=DE&'. 'custom='.rawurlencode($order_id); return $strLink; } public function Warenkorb_ordered($order_id) { if ($this->controller->order_data['type_payment'] == $this->id) { $basket_link = get_permalink(get_option('wpshopgermany_basketpage')); if (strpos($basket_link, "?") > 0) { $basket_link .= "&plugin=1&confirm=pp"; } else { $basket_link .= "?plugin=1&confirm=pp"; } if (get_option('wpshopgermany_paypal_sandbox') == 1) $url = "https://www.sandbox.paypal.com/cgi-bin/webscr"; else $url = "https://www.paypal.com/cgi-bin/webscr"; $this->controller->modText[50] = '			
					<p>
						<form action="'.$url.'" method="post">
						   <input type="hidden" name="cmd" value="_cart" />
						   <input type="hidden" name="upload" value="1" />
						   <input type="hidden" name="business" value="'.get_option('wpshopgermany_paypal_mail').'" />
				'; $i = 0; foreach ($this->controller->basket as $p) { $i ++; $this->controller->modText[50] .= '
						   <input type="hidden" name="item_name_'.$i.'" value="'.$p['name'].'" />
						   <input type="hidden" name="amount_'.$i.'" value="'.$p['preis'].'" />
						   <input type="hidden" name="quantity_'.$i.'" value="'.$p['menge'].'" />
						   <input type="hidden" name="item_number_'.$i.'" value="'.$p['produkt_id'].'" />
						   <input type="hidden" name="on0'.$i.'" value="Variante" />
						   <input type="hidden" name="os0'.$i.'" value="'.$p['v_id'].'" />
					'; } $this->controller->modText[50] .= '
						   <input type="hidden" name="shipping_1" value="'.$this->controller->order_data['price_shipping'].'" />				
						   <input type="hidden" name="return" value="'.preg_replace("/\/wp\-content(.*)/", "", WP_CONTENT_URL).'" />
						   <input type="hidden" name="cancel_return" value="'.preg_replace("/\/wp\-content(.*)/", "", WP_CONTENT_URL).'" />		   
						   <input type="hidden" name="notify_url" value="'.$basket_link.'" />
						   <input type="hidden" name="currency_code" value="'.get_option('wpshopgermany_currency').'">						   
						   <input type="hidden" name="lc" value="DE" /> 
						   <input type="hidden" name="custom" value="'.$this->controller->order_id.'" />
						   <input type="submit" value="Mit PayPal bezahlen" />						   						   						   
						</form>
					</p>
				'; } } public function Order_getStatus() { $this->controller->arStatus[2] = "warte auf Paypal Zahlung"; } } ?>