<?php
 class mod_lieferanten extends mod_basic { var $name = "Lieferanten / Versandkosten"; var $desc = ''; var $id = 6; var $lizenz = 1; public function __construct($controller) { $this->desc = 'Mit diesem Modul ist es möglich beliebig viele Lieferanten zu konfigurieren.<br/>Unter Lieferanten verstehen wir den Dienstleister, der die Wahre zu dem Kunden bringt und dafür die Versandkosten berechnet.<br/>Wird ein Wert angegeben, so wird dieser Wert als Pauschale verwendet.<br/><br/> Sollen die Kosten nach Stückzahl bzw. Gewicht gestaffelt werden so gilt folgendes Format:15:15,00|10:10,00|5,00. Es ist auch möglich nur einen Wert anzugeben (Bsp. 5,00), so wird generell dieser Wert für diese Versandart berechnet.<ul style="font-size:10px;">  <li>ab 15 Stück 15,00 '.get_option('wpshopgermany_currency').' Versandkosten</li>  <li>ab 10 Stück 10,00 '.get_option('wpshopgermany_currency').' Versandkosten</li>  <li>bis 10 Stück 5,00 '.get_option('wpshopgermany_currency').' Versandkosten</li></ul>Bietet man Beispielsweise den Versand als DHL Paket an, so kann man bei Bezeichnung "DHL Paket" eintragen und als Preis z.B. 6,90. Dieser Preis wird dann als Pauschale unabhängig von Stückzahl oder Gesamtgewicht verwendet.<br/><br/>Weitere Erläuterungen und Hinweise finden Sie <a href="http://wpshopgermany.maennchen1.de/2010/07/09/lieferanten-versandkosten">hier</a>.'; $this->controller = $controller; } public function install() { } public function settings_save() { if ($_REQUEST['lr_neu_name'] != "") { $this->controller->db->importQuery($this->controller->tbl_lr, array( "name" => q($_REQUEST['lr_neu_name']), "typ" => q($_REQUEST['lr_neu_typ']), "kosten" => q(preg_replace("/\,/", ".", $_REQUEST['lr_neu_kosten'])) )); } foreach ((array)$_REQUEST['lr'] as $l_id => $l) { if ($l['delete'] == 1) { $this->controller->db->UpdateQuery($this->controller->tbl_lr, array( "deleted" => 1 ), "`id` = '".q($l_id)."'"); } else { $this->controller->db->UpdateQuery($this->controller->tbl_lr, array( "name" => $l['name'], "typ" => $l['typ'], "kosten" => preg_replace("/\,/", ".", $l['kosten']) ), "`id` = '".q($l_id)."'"); } } } public function settings_edit() { $arL = $this->controller->db->fetchAssoc("SELECT * FROM `".$this->controller->tbl_lr."` WHERE `deleted` = '0'"); $content = '<tr><td colspan="2"><form method="post">'; if (sizeof($arL) > 0) { $content .= '<fieldset style="min-width:700px; border:1px solid #AAAAAA; padding:5px;"><legend>Liste:</legend>'; foreach ((array)$arL as $l) { $content .= '
						<label style="width:170px; float:left;">Name:<br/><input type="text" name="lr['.$l['id'].'][name]" size="20" value="'.$l['name'].'"/></label>					
						<label style="width:160px; float:left;">'.__("Grundlage", "wpsg").':<br/>
							<select style="width:140px;" name="lr['.$l['id'].'][typ]">
								<option '.(($l['typ'] == "w")?'selected="selected"':'').' value="w">'.__("Bestellwert").'</option>
								<option '.(($l['typ'] == "s")?'selected="selected"':'').' value="s">'.__("Menge").'</option>
					'; if (array_key_exists("mod_weight", $this->controller->mods)) { $content .= '<option '.(($l['typ'] == "g")?'selected="selected"':'').' value="g">'.__("Gewicht").'</option>'; } $content .= '
							</select>
						</label>
						<label style="width:300px; float:left;">Kostenschlüssel:<br/><input type="text" name="lr['.$l['id'].'][kosten]" size="40" value="'.$l['kosten'].'"/></label>
						<label>Löschen<br/><input type="checkbox" value="1" name="lr['.$l['id'].'][delete]"/></label>
						<div style="clear:both;"></div>
					'; } $content .= '</fieldset>'; } $content .= '
				<fieldset style="min-width:700px; border:1px solid #AAAAAA; padding:5px;">
					<legend>Neu:</legend>
					<label style="width:170px; float:left;">Name:<br/><input type="text" name="lr_neu_name" size="20"/></label>
					<label style="width:160px; float:left;">'.__("Grundlage", "wpsg").':<br/>
						<select style="width:140px;" name="lr_neu_typ">
							<option value="w">'.__("Bestellwert").'</option>
							<option value="s">'.__("Menge").'</option>
			'; if (array_key_exists("mod_weight", $this->controller->mods)) { $content .= '<option value="g">'.__("Gewicht").'</option>'; } $content .= '
						</select>
					</label>					
					<label>Kostenschlüssel:<br/><input type="text" name="lr_neu_kosten" size="40"/></label>
				</fieldset>			
			'; $content .= '</form></td></tr>'; return $content; } public function addShipping(&$arShipping, &$basket) { if ($this->controller->shipping_done) return; $arL = $this->controller->db->fetchAssoc("SELECT * FROM `".$this->controller->tbl_lr."` WHERE `deleted` = '0'"); foreach ((array)$arL as $l) { $arPreis = explode("|", $l['kosten']); if (sizeof($arPreis) == 1) $preis = $arPreis[0]; else { $menge = 0; switch ($l['typ']) { case 'g': $this->controller->basket = $basket; $menge += $this->controller->mods['mod_weight']->calcWeight(true); break; case 'w': foreach ($basket as $k => $p) { if ($p['produkt_id'] != "gs") { $menge += $p['preis'] * $p['menge']; } } break; case 's': foreach ((array)$basket as $p) { if (is_array($p['vari'])) { foreach ($p['vari'] as $v) { $menge += $v['menge']; } } else { $menge += $p['menge']; } } break; } $arPreis = array_reverse($arPreis); foreach ($arPreis as $p) { $arP = explode(":", $p); if (sizeof($arP) == 1) $preis = $arP[0]; else if ($arP[0] <= $menge) $preis = $arP[1]; } } $arShipping[$this->id.'_'.$l['id']] = array( "id" => $this->id.'_'.$l['id'], "preis" => $preis, "text_clear" => $l['name'], "text" => $l['name']." (+ ".preg_replace("/\./", ",", number_format((double)$preis, 2, ',', '.'))." ".get_option("wpshopgermany_currency").")" ); } } } ?>