(function() {
 
	tinymce.create('tinymce.plugins.wpshopgermanyPlugin', {
		
		init : function(ed, url) {
 
			ed.addCommand('mcewpshopgermany', function() {
				ed.windowManager.open({
					file : 'admin.php?page=wpshopgermany-Produkt&action=select&noheader=1',
					width : 350,
					height : 125,
					inline : 1
				}, {
					plugin_url : url
				});
			});
 
			ed.addButton('wpshopgermany', {
				title : 'Produkt aus dem Produktkatalog einfügen',
				cmd : 'mcewpshopgermany',
				image : url + '/../gfx/basket.png'
			});
 
			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('wpshopgermany', n.nodeName == 'IMG');
			});
		},
 
		createControl : function(n, cm) {
			return null;
		},
 
		getInfo : function() {
			return {
				longname : 'wpShopGermany Produktauswahl',
				author : 'Daniel Schmitzer',
				authorurl : 'http://maennchen1.de',
				version : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('wpshopgermany', tinymce.plugins.wpshopgermanyPlugin);
	
})();
